Subject: bug#38497: 27.0.50; Frame is not rendered when frame-resize-pixelwise it 't

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Dec 2019 05:33:40 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 16 Dec 2019 11:10:41 +0800
> 
> > One possible reason for not clearing the frame is that you have
> > double-buffering enabled.  Can you disable it and try again?  (If you
> > don't know how, search for "double buffering" in etc/NEWS.26.)
> 
> I tried to disable double buffering.
> Running emacs -Q --eval "(add-to-list 'default-frame-alist
> '(inhibit-double-buffering . t))", the redrawing works without any
> issues.

Thanks, that probably explains everything discussed in this bug
report.

> Now, I am wondering if the issue I reported is just specific to my
> system or others can also reproduce it with emacs compiled with xft,
> cairo, and lucid enabled. If so, would it make sense to disable double
> buffering by default for this combination of build options?

I don't know.  There are a few open bugs regarding double buffering
which await debugging.

Can someone please try reproducing Ihor's problem by building Emacs
with the same options?  TIA.